<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="ServicesExternes\ffmpeg.zip" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\RAGService\RAGService.csproj" />
    <ProjectReference Include="..\ReActAgentService\ReActAgentService.csproj" />
    <ProjectReference Include="..\ToolsService\ToolsService.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="ServicesExternes\ffmpeg\avcodec-62.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="ServicesExternes\ffmpeg\avdevice-62.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="ServicesExternes\ffmpeg\avfilter-11.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="ServicesExternes\ffmpeg\avformat-62.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="ServicesExternes\ffmpeg\avutil-60.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="ServicesExternes\ffmpeg\ffmpeg.exe">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="ServicesExternes\ffmpeg\ffplay.exe">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="ServicesExternes\ffmpeg\ffprobe.exe">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="ServicesExternes\ffmpeg\swresample-6.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="ServicesExternes\ffmpeg\swscale-9.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
